import seaborn as sns
import pandas as pd
from matplotlib import pyplot as plt

years = [year for year in range(1950, 2020, 10)]
gdp = [300.2, 543.3, 1075.9, 2862.5, 5979.6, 10289.7, 14958.3]

data = pd.DataFrame(data=gdp, index=years, columns=["gdp"])

sns.set(style="darkgrid")

sns.lineplot(data=data, markers="o")
plt.xlabel("Years")
plt.ylabel("Billions of $")
plt.show()
