# Chapter 3

## Takeaway

This chapter gives a brief introduction to simple visualizations with matplotlib. It can do a lot more than this though.

For further resources you should check out:

- [Seaborn](https://seaborn.pydata.org/) a framework built on top of matplotlib. Produces more complex and prettier visualizations.

- [Bokeh](https://bokeh.pydata.org/en/latest/) is an interactive visualization library that targets modern web browsers for presentation. Its goal is to provide elegant, concise construction of versatile graphics, and to extend this capability with high-performance interactivity over very large or streaming datasets.

- [ggplot](http://ggplot.yhathq.com/) Which is a python port of the R library's ggplot2. 